<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Models\LogApiV2;

class CleanLogs extends Command{
    /**
     * The console command name.
     *
     * @var string
     */
    protected $signature = "command:cleanLogs";

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = "borra logs antiguos";


    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle(){
        if(env('APP_ENV', 'local') == 'prod' ){
            $date = date('Y-m-d H:i:s', strtotime(date('Y-m-d H:i:s').'- '.env('TTL_LOGS', 4).' months'));

            LogApiV2::deleteLogs($date);
        }
    }
}